Skip to main content
GET
Get all key moments

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

paramsIO
object
required

Response

OK

name
string
required

Name of the key moment

Example:

"My Key Moment"

siteId
integer<int64>
required

Unique ID of the site where Kameleoon created, or will create, the key moment.

Example:

8372

audienceTracking
boolean

Indicates if the key moment tracks audience

audienceTrackingEditable
boolean
read-only

Indicates if users can enable or disable audienceTracking. In some cases, users cannot disable audienceTracking. For example, when a key moment has predictive conditions, Kameleoon tracks audience by default.

campaignType
enum<string>

Campaign type of the key moment (trigger).

Available options:
ALL,
FEATURE,
WEB
conditionDataList
object[]

Conditions upon which the key moment includes visitors in list form

conditionDataTree
object

Conditions upon which the key moment includes visitors in tree form

conditionsData
object

Conditions upon which the key moment includes visitors

createdBy
integer<int64>
read-only

Account ID of the key moment creator

dateCreated
string<date-time>
read-only

Date of key moment creation

dateModified
string<date-time>
read-only

Date of key moment modification

description
string

Description of the key moment

Example:

"The key moment is for new A/B tests"

id
integer<int64>
read-only

Unique ID of the key moment

isFavorite
boolean

Indicates whether the key moment is a favorite

List of links to related entities. This is an optional field that the request body includes

userVisible
boolean

Indicates whether the application hides the key moment from the user.